classification
Title: Fix memory leak in SSLSocket.getpeercert()
Type: resource usage Stage: resolved
Components: SSL Versions: Python 3.7, Python 3.6, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: christian.heimes Nosy List: Mariatta, christian.heimes, olivielpeau
Priority: normal Keywords:

Created on 2017-03-06 20:10 by olivielpeau, last changed 2017-04-17 15:43 by olivielpeau. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 526 merged olivielpeau, 2017-03-06 20:13
PR 1142 merged Mariatta, 2017-04-15 01:07
PR 1143 merged Mariatta, 2017-04-15 01:07
PR 1144 merged Mariatta, 2017-04-15 01:07
PR 1146 merged Mariatta, 2017-04-15 01:27
Messages (9)
msg289130 - (view) Author: Olivier Vielpeau (olivielpeau) * Date: 2017-03-06 20:10
The code snippet in #25569 reproduces the memory leak with Python 3.6.0 and 2.7.13. The current memory leak is a regression that was introduced in #26470.

Going to attach a PR on github that fixes the issue shortly.
msg290101 - (view) Author: Olivier Vielpeau (olivielpeau) * Date: 2017-03-24 17:45
I've attached the PR on Github and signed the CLA, is there anything else needed from me to get this reviewed? Thanks!
msg291685 - (view) Author: Mariatta Wijaya (Mariatta) * (Python committer) Date: 2017-04-15 01:06
New changeset 2849cc34a8db93d448a62d69c462402347b50dcb by Mariatta (Olivier Vielpeau) in branch 'master':
bpo-29738: Fix memory leak in _get_crl_dp (GH-526)
https://github.com/python/cpython/commit/2849cc34a8db93d448a62d69c462402347b50dcb
msg291687 - (view) Author: Mariatta Wijaya (Mariatta) * (Python committer) Date: 2017-04-15 01:24
New changeset b2b00e039ce71e69148e5f479e2154c1c7b712ca by Mariatta in branch '2.7':
[2.7] bpo-29738: Fix memory leak in _get_crl_dp (GH-526) (GH-1144)
https://github.com/python/cpython/commit/b2b00e039ce71e69148e5f479e2154c1c7b712ca
msg291688 - (view) Author: Mariatta Wijaya (Mariatta) * (Python committer) Date: 2017-04-15 01:33
New changeset 39f5956ffbcc4fe83cee59eed1d18845a5b25dd2 by Mariatta in branch 'master':
bpo-29738: Add Olivier Vielpeau to Misc/ACKS (GH-1146)
https://github.com/python/cpython/commit/39f5956ffbcc4fe83cee59eed1d18845a5b25dd2
msg291689 - (view) Author: Mariatta Wijaya (Mariatta) * (Python committer) Date: 2017-04-15 01:34
New changeset 8e7201342dc6eef201bfa4f533ad89a8144fd693 by Mariatta in branch '3.6':
[3.6] bpo-29738: Fix memory leak in _get_crl_dp (GH-526) (GH-1142)
https://github.com/python/cpython/commit/8e7201342dc6eef201bfa4f533ad89a8144fd693
msg291690 - (view) Author: Mariatta Wijaya (Mariatta) * (Python committer) Date: 2017-04-15 01:36
New changeset c40740cf06470a774e98f84537801cd8b7176938 by Mariatta in branch '3.5':
[3.5] bpo-29738: Fix memory leak in _get_crl_dp (GH-526) (GH-1143)
https://github.com/python/cpython/commit/c40740cf06470a774e98f84537801cd8b7176938
msg291691 - (view) Author: Mariatta Wijaya (Mariatta) * (Python committer) Date: 2017-04-15 01:39
I merged Olivier's PR, and backported into 3.6, 3.5, and 2.7.
I also added Olivier Vielpeau to misc/ACKS.

Thanks :)
msg291799 - (view) Author: Olivier Vielpeau (olivielpeau) * Date: 2017-04-17 15:43
Thnaks for the reviews and the merge! :)
History
Date User Action Args
2017-04-17 15:43:55olivielpeausetmessages: + msg291799
2017-04-15 01:39:44Mariattasetstatus: open -> closed
resolution: fixed
messages: + msg291691

stage: resolved
2017-04-15 01:36:13Mariattasetmessages: + msg291690
2017-04-15 01:34:13Mariattasetmessages: + msg291689
2017-04-15 01:33:50Mariattasetmessages: + msg291688
2017-04-15 01:27:23Mariattasetpull_requests: + pull_request1277
2017-04-15 01:24:24Mariattasetmessages: + msg291687
2017-04-15 01:07:18Mariattasetpull_requests: + pull_request1275
2017-04-15 01:07:10Mariattasetpull_requests: + pull_request1274
2017-04-15 01:07:01Mariattasetpull_requests: + pull_request1273
2017-04-15 01:06:09Mariattasetnosy: + Mariatta
messages: + msg291685
2017-03-24 17:45:07olivielpeausetmessages: + msg290101
2017-03-06 20:13:07olivielpeausetpull_requests: + pull_request433
2017-03-06 20:10:11olivielpeaucreate